[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPStringHashTable.Add

Add a new string to the hash list

## Declaration

Source position: contnrs.pp line 461

`public procedure TFPStringHashTable.Add(`
`const aKey: string;`
`const aItem: string`
`); virtual;`

## Arguments

`aKey` |  | Key value associated with aItem
`aItem` |  | String data

## Description

Add adds a new string AItem to the hash list with key AKey.

## Errors

If a string with key Akey already exists in the hash table, an exception will be raised.

## See also

TFPStringHashTable.Items |  | Key based access to the strings in the hash table